searchData={"items":[{"type":"module","title":"ExCuid2","doc":"CUID2 (Collision-Resistant Unique Identifiers) generator in Elixir.\n\nThis implementation follows the CUID2 standard and generates safe, horizontally scalable IDs,\nideal for use as primary keys in databases.\n\nFeatures:\n- Prefix with a random letter.\n- Timestamp in milliseconds.\n- Atomic counter to prevent collisions in the same millisecond.\n- Cryptographically secure entropy.\n- Process fingerprint to ensure uniqueness across nodes.","ref":"ExCuid2.html"},{"type":"function","title":"ExCuid2.generate/0","doc":"Generates a CUID2 with the default length (24 characters).","ref":"ExCuid2.html#generate/0"},{"type":"function","title":"Examples - ExCuid2.generate/0","doc":"iex> ExCuid2.generate() |> String.length()\n    24","ref":"ExCuid2.html#generate/0-examples"},{"type":"function","title":"ExCuid2.generate/1","doc":"Generates a CUID2 with a specific length (between 24 and 32).","ref":"ExCuid2.html#generate/1"},{"type":"function","title":"Examples - ExCuid2.generate/1","doc":"iex> ExCuid2.generate(32) |> String.length()\n    32","ref":"ExCuid2.html#generate/1-examples"},{"type":"function","title":"ExCuid2.is_valid?/1","doc":"Validates whether a string matches the CUID2 format.","ref":"ExCuid2.html#is_valid?/1"},{"type":"function","title":"Examples - ExCuid2.is_valid?/1","doc":"iex> ExCuid2.is_valid?(\"t4p35j2w2fiyqrec00pjxd7b\")\n    true\n\n    iex> ExCuid2.is_valid?(\"123-abc\")\n    false","ref":"ExCuid2.html#is_valid?/1-examples"},{"type":"function","title":"ExCuid2.start_link/1","doc":"Starts the counter agent.\n\nIt should be added to the supervision tree in `application.ex`.","ref":"ExCuid2.html#start_link/1"},{"type":"module","title":"ExCuid2Agent","doc":"","ref":"ExCuid2Agent.html"},{"type":"function","title":"ExCuid2Agent.start_link/1","doc":"","ref":"ExCuid2Agent.html#start_link/1"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.2"}}